[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: curl, testing and gcc-3.2 (?) (was Re: Debian curl package depends on gcc-3.2?)


> Through the shlibdeps system. Probably, the libgcc and libc packages
> decided that on ARM they should have those versioned dependencies.  The
> libcurl2 package needs not do anything by itself to pick them up.
Note that the version shown is simply the current libgcc.so version.
dpkg-shlibdeps has no idea whether an older version would be sufficient,
so it plays safe.

>> checking whether to use libgcc... no
That is because the decision to do this is made by the system's default
ld script, so _explicit_ linking to libgcc, which is what this test tries
to figure out, is unnecessary.

It is fruitless:
        to become lachrymose over precipitately departed lactate fluid.

Reply to: